- Main Page
- Classes
- Files

# My Documents/TS2/src/Particles.cpp File Reference

Defines the particle class functions. More...

`#include "Particles.h"`

Include dependency graph for Particles.cpp:

## Functions
float | GetRandomFloat (float lowBound, float highBound)
| Returns random float between given bounds.
void | GetRandomVector (D3DXVECTOR3 *out, D3DXVECTOR3 *min, D3DXVECTOR3 *max)
| Returns random 3D vector between given vector bounds.
void | GetRandomVectorCircle (D3DXVECTOR3 *out, float radius)
| Returns random 3D vector in the circle on the floor with given radius.
void | GetRandomVectorRing (D3DXVECTOR3 *out, float min_radius, float max_radius)
| Returns random 3D vector in the ring on the floor within min and max radius.
void | GetRandomVectorRingPart (D3DXVECTOR3 *out, float min_radius, float max_radius, int ringpart)
| Returns random 3D vector in the ring on the floor within min and max radius. This baby is recursive until random value in given bounds is drawn.

## Detailed Description

Defines the particle class functions.

Particle class CGun takes care of rendering and animating gun bullets that come out of turtle. CGun inherits PSystem, which can easilly be used to render snow or other particle systems

Author:
  Petar Bajic, MPE (C) All Rights Reserved, Homepage: www.mystic-peanut.com

Date:
  January, 16 2007.

## Function Documentation

float GetRandomFloat | ( | float | lowBound,
|  | float | highBound |
| ) |  |  |

Returns random float between given bounds.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void GetRandomVector | ( | D3DXVECTOR3 * | out,
|  | D3DXVECTOR3 * | min,
|  | D3DXVECTOR3 * | max |
| ) |  |  |

Returns random 3D vector between given vector bounds.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void GetRandomVectorCircle | ( | D3DXVECTOR3 * | out,
|  | float | radius |
| ) |  |  |

Returns random 3D vector in the circle on the floor with given radius.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void GetRandomVectorRing | ( | D3DXVECTOR3 * | out,
|  | float | min_radius,
|  | float | max_radius |
| ) |  |  |

Returns random 3D vector in the ring on the floor within min and max radius.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void GetRandomVectorRingPart | ( | D3DXVECTOR3 * | out,
|  | float | min_radius,
|  | float | max_radius,
|  | int | ringpart |
| ) |  |  |

Returns random 3D vector in the ring on the floor within min and max radius. This baby is recursive until random value in given bounds is drawn.

Parameters:

  | ringpart | 1 represent upper ring part, other valued represent lower ring part.

Author:
  Petar Bajic

Date:
  January, 16 2007.